cURL
curl --request GET \
--url https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body"<string>"{
"message": "<unknown>"
}{
"message": "<unknown>"
}Spain
Generate agreement PDF
Generate a PDF agreement of a previously prepared org.Party silo entry.
GET
/
apps
/
gov-es
/
v1
/
entry
/
{silo_entry_id}
/
{system}
/
agreement
cURL
curl --request GET \
--url https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invopop.com/apps/gov-es/v1/entry/{silo_entry_id}/{system}/agreement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body"<string>"{
"message": "<unknown>"
}{
"message": "<unknown>"
}After a complete Party has been uploaded to the silo, use this API endpoint to generate a PDF version of the Invopop collaboration agreement document.
Authorizations
Path Parameters
Response
Successfully generated PDF of the agreement for the supplier or representative to sign.
The response is of type file.
Was this page helpful?